package com.red.circle.other.infra.database.cache.service.user;

/**
 * 排行榜缓存服务.
 *
 * @author lixiaofei on 2024/9/9
 */
public interface RankCacheService {

  /**
   * 移除排行榜缓存.
   *
   * @param sysOrigin 系统
   * @param type 类型
   */
  void remove(String sysOrigin, String type);

  /**
   * 添加排行榜缓存.
   *
   * @param json
   * @param sysOrigin
   * @param type
   */
  void add(String json, String sysOrigin, String type);

  /**
   * 获取排行榜缓存.
   *
   * @param sysOrigin
   * @param type
   */
  String getUserSysRank(String sysOrigin, String type);


}
